%define qtdir /usr/lib/qt-1.45
%define kdeprefix %{_prefix}

Name: kdiff
Summary: A KDE front-end for diff.
Version: 0.84
Release: 3
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{name}-%{version}.tgz
Patch0: kdiff-0.8.4-gcc296.patch
URL: http://home.braunschweig.netsurf.de/~matthias.hipp/html/kdiff.htm
License: GPL
Group: Development/Tools
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KDiff is a K Desktop Environment (KDE) based GUI front-end for diff (a
utility that displays the differences between files and is usually
used to make patches).  KDiff displays the differences between the two
files side-by-side, with different colors highlighting the changes.
This display is much easier to understand than the native output
format from diff. You'll need to have X and KDE installed to use
KDiff.

%prep
%setup -q -n %{name}-0.8.4
#%patch -p1 -b .gcc
find . -name .deps | xargs rm -fr

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

autoconf
[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kde1

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- fix to build with gcc-2.96

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.84
- Fix URL: field
- Qt 1.45
- fix location of moc

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
